<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        \Prometheus\Storage\Redis::setDefaultOptions(
            [
                'host' => env("REDIS_HOST", '127.0.0.1'),
                'port' => intval(env("REDIS_PORT", 6379)),
                'password' => env("REDIS_PASSWORD", null),
                'timeout' => 0.1, // in seconds
                'read_timeout' => '10', // in seconds
                'persistent_connections' => false
            ]
        );
    }
}
